GetClusterNodesRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords.impl.pb, class: GetClusterNodesRequestPBImpl

Package org.apache.hadoop.yarn.api.protocolrecords.impl.pb

# Class GetClusterNodesRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodesRequest
org.apache.hadoop.yarn.api.protocolrecords.impl.pb.GetClusterNodesRequestPBImpl

@Private @Unstable public class GetClusterNodesRequestPBImpl extends org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodesRequest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetClusterNodesRequestPBImpl()`
  `GetClusterNodesRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetClusterNodesRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `EnumSet<org.apache.hadoop.yarn.api.records.NodeState>`
  `getNodeStates()`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.GetClusterNodesRequestProto`
  `getProto()`
  `int`
  `hashCode()`
  `void`
  `setNodeStates(EnumSet<org.apache.hadoop.yarn.api.records.NodeState> states)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodesRequest

  `newInstance, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetClusterNodesRequestPBImpl

    public GetClusterNodesRequestPBImpl()

  - ### GetClusterNodesRequestPBImpl

    public GetClusterNodesRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetClusterNodesRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.GetClusterNodesRequestProto getProto()

  - ### getNodeStates

    public EnumSet<org.apache.hadoop.yarn.api.records.NodeState> getNodeStates()
    Specified by:
      `getNodeStates` in class `org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodesRequest`

  - ### setNodeStates

    public void setNodeStates(EnumSet<org.apache.hadoop.yarn.api.records.NodeState> states)
    Specified by:
      `setNodeStates` in class `org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodesRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`